summaryrefslogtreecommitdiffstats
path: root/BaseTools/BinWrappers
diff options
context:
space:
mode:
authorSong, BinX <binx.song@intel.com>2017-03-23 10:16:16 +0800
committerLiming Gao <liming.gao@intel.com>2017-03-29 12:14:43 +0800
commit87d97b6a771a5f81277732d5d9985aa9d14ae63f (patch)
tree79a8c883b4590ebb11ad38aacacd1c6b77a9777e /BaseTools/BinWrappers
parent11b7501adcf8af81b3a31702eb4daa799d5f4096 (diff)
downloadedk2-87d97b6a771a5f81277732d5d9985aa9d14ae63f.tar.gz
edk2-87d97b6a771a5f81277732d5d9985aa9d14ae63f.tar.bz2
edk2-87d97b6a771a5f81277732d5d9985aa9d14ae63f.zip
BaseTools: Add Brotli algorithm tool
- Add Brotli algorithm tool support Cc: Liming Gao <liming.gao@intel.com> Contributed-under: TianoCore Contribution Agreement 1.0 Signed-off-by: Bell Song <binx.song@intel.com> Reviewed-by: Liming Gao <liming.gao@intel.com>
Diffstat (limited to 'BaseTools/BinWrappers')
-rw-r--r--BaseTools/BinWrappers/PosixLike/Brotli29
-rw-r--r--BaseTools/BinWrappers/PosixLike/BrotliCompress42
2 files changed, 71 insertions, 0 deletions
diff --git a/BaseTools/BinWrappers/PosixLike/Brotli b/BaseTools/BinWrappers/PosixLike/Brotli
new file mode 100644
index 0000000000..a244ecc095
--- /dev/null
+++ b/BaseTools/BinWrappers/PosixLike/Brotli
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+
+full_cmd=${BASH_SOURCE:-$0} # see http://mywiki.wooledge.org/BashFAQ/028 for a discussion of why $0 is not a good choice here
+dir=$(dirname "$full_cmd")
+cmd=${full_cmd##*/}
+
+if [ -n "$WORKSPACE" ] && [ -e "$WORKSPACE/Conf/BaseToolsCBinaries" ]
+then
+ exec "$WORKSPACE/Conf/BaseToolsCBinaries/$cmd"
+elif [ -n "$WORKSPACE" ] && [ -e "$EDK_TOOLS_PATH/Source/C" ]
+then
+ if [ ! -e "$EDK_TOOLS_PATH/Source/C/bin/$cmd" ]
+ then
+ echo "BaseTools C Tool binary was not found ($cmd)"
+ echo "You may need to run:"
+ echo " make -C $EDK_TOOLS_PATH/Source/C"
+ else
+ exec "$EDK_TOOLS_PATH/Source/C/bin/$cmd" "$@"
+ fi
+elif [ -e "$dir/../../Source/C/bin/$cmd" ]
+then
+ exec "$dir/../../Source/C/bin/$cmd" "$@"
+else
+ echo "Unable to find the real '$cmd' to run"
+ echo "This message was printed by"
+ echo " $0"
+ exit 127
+fi
+
diff --git a/BaseTools/BinWrappers/PosixLike/BrotliCompress b/BaseTools/BinWrappers/PosixLike/BrotliCompress
new file mode 100644
index 0000000000..a571ff6892
--- /dev/null
+++ b/BaseTools/BinWrappers/PosixLike/BrotliCompress
@@ -0,0 +1,42 @@
+#!/usr/bin/env bash
+#
+# This script will exec Brotli tool.
+#
+# Copyright (c) 2017, Intel Corporation. All rights reserved.<BR>
+# This program and the accompanying materials
+# are licensed and made available under the terms and conditions of the BSD License
+# which accompanies this distribution. The full text of the license may be found at
+# http://opensource.org/licenses/bsd-license.php
+#
+# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
+# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
+#
+LVL="--quality 9"
+
+while [ $# != 0 ];do
+ case $1 in
+ -d)
+ ARGS+="--decompress "
+ ;;
+ -e)
+ ;;
+ -g)
+ ARGS+="--gap $2 "
+ shift
+ ;;
+ -l)
+ LVL="--quality $2 "
+ shift
+ ;;
+ -o)
+ ARGS+="--output $2 "
+ shift
+ ;;
+ *)
+ ARGS+="--input $1 "
+ esac
+
+shift
+done
+
+exec Brotli $ARGS $LVL